Skip to main content

Update Business Offer Metafield

API operation: Open the endpoint in Scalar

Use PUT /business/{business_id}/offers/{offer_id}/metafields/{metafield_id} to update a metafield on a business offer. The operation documented here is OfferMetafield.update.

The documented schema requires administrator or business-manager authentication. For business-manager access, verify that the metafield belongs to the specified offer and business.

See List business offer metafields and Extra attributes (Metafields).

OpenAPI reference​

Operation: PUT /business/{business_id}/offers/{offer_id}/metafields/{metafield_id}

Path parameters

NameTypeRequiredDescription
business_idintegerYes—
offer_idintegerYes—
metafield_idintegerYes—

Request body fields

NameTypeRequired
keystringNo
modelanyYes
object_idintegerNo
valueanyNo
value_typestringNo

Responses

CodeDescription
200OK (Envelope)
400Bad Request (ErrorResponse)
401Unauthorized
404Not Found
429Too Many Requests (ErrorResponse)
500Internal Server Error (ErrorResponse)
503Service Unavailable (ErrorResponse)
Open this operation in the API reference